version 0.6.3
Features:
 - Reenabled underground water and lava (accidently disabled)
 - Add settings to main menu

Other:
 - Added light source to fire spell
 - Ensure UI dialogs are on screen when resolution changes
 - Text fields in character and world creation are now autofocused

Bug Fixes:
 - Resolved issue with changing to fullscreen
 - Resolved issue with some UI dialogs not being initialized properly
 - Resolved issue where active item was not correctly deactivated when toolbar changed
 - Resolved issue where active items on toolbar would not be unequipped properly
 - Resolved issue where a skill could be used with right click when grabbed
 - Resolved issue where item delay could be set to 0 causing oddities with animation
 - Corrected typo with Enchantment Robe requiring service "Workspace" instead of "Workstation"
 - Resolved issues with slop physics resulting in unexpected behavoir
 - Resolved some issues with UI not functioning properly with resolution change and alt+tab

version 0.6.2
Features:
 - Made Glow Ball throwable and provide a light source

Other:
 - Changed controls for changing placed item direction to Shift
 - Increased tree population by 30% and grow them more
 - Chat no longer keeps focus after submitting text
 - Bronze Leggings now requires Anvil surface
 - Anvil now requires Workstation surface
 - Changed light color of furnace

Bug Fixes:
 - Fix cooldown on Collect skill
 - Resolved several issues with multiplayer
 - Resolved issue with sticky bombs not sticking
 - Resolved issue where chat would not fully capture input on first use
 - Resolved issue where researching would yield too many item recipes
 - Way Shards now only grow on natural blocks
 - Resolved issue with Enchanted equipment causing character corruption

version 0.6.1
Features:
 - Added lava
 - Breakable pots underground
 - Reworked talent UI
 - Replaced Magic talent with Arcane and Divine talents
 - Introduced many (30~) new skills most of which are usable
 - Added simple tutorial dialog covering the controls
 - Changed settings file format to JSON (editable) and moved controls into settings

Other:
 - Replaced M.ATK and M.DEF stats with INT and MIND
 - Implemented elements into combat
 - Made monsters and monster spawners not able to spawn in areas with unnatural walls (such as wood walls)
 - Reworked lighting
 - Made it possible to only open one treasure chest at a time (May be changed back in the future)
 - Made projectile spells break fragile tiles (pots, vines, foliage, etc.)

Bug Fixes:
 - Resolved issue with bow animation not playing properly when held
 - Resolved issue with stats not being properly removed when equipping an active item
 - Resolved issue with trees sometimes not being harvestable
 - Resolved issue where tiles could not be placed directly above the player
 - Resolved issue where plants would sometimes be represented by the wrong stage of life graphics
 - Resolved issues with opening treasure chests resulting in a crash
 - Resolved several issues with multiplayer


version 0.6.0
Features:
 - New Monster Spawning - 'Conflict System'
 - Monsters are now more aggressive and frequent at night
 - Added new attacks for some monsters
 - Added Glow Bat monster
 - World Generation Status
 - More caves/holes/stone/ores/gems are distributed underground during World Generation
 - Reworked inventory UI
 - Reworked toolbar UI and use of left and right click for using items
 - Add dashing with double tap in direction
 - Highlight interactable items when mouse over
 - Destroy grass and vines with sword swings

Bug Fixes:
 - Resolved all issues with not being able to remove tiles
 - Resolved issue where removing an item supporting another item would result in the supported item to float in air
 - Resolved issue where "Max" button in crafting would not be set properly
 - Resolved issue where water would not interact with platforms as expected
 - Resolved issues with vines not being destroyed properly
 - Resolved issue with grass system not cleaning up destroyed grass and vines properly
 - Resolved issue where player could die from fall damage after respawning while dying mid air

Other:
 - Completely rework content files
 - Reworked Mod Management interface
 - Refactored python scripts to use imports instead of global scope
 - Engine now supports Realms
 - Changed starting position to be on top of a Way Crystal and automatically activated and attuned to the crystal
 - Optimized water simulation some

version 0.5.5
Bug Fixes:
- Resolved issue where crafting services would be incorrectly unavailable in crafting
- Resolved issue where you could not equipment "Heavy Helm+" item
- Enhanced logic for showing item/block placement animation to only show when item/block will be placed

Other:
- Moved Heal to start on primary toolbar

version 0.5.4
Features/Polish:
- Multiplayer is now functional (for reals)
- "Tile Unification" (Tiles now go on both ground and wall layers)
- Allow placing items directly from the inventory, without having to put them in the action bar first
- Clicking on a material in the craft UI should take you to that material's recipe
- Make it possible to remove wall blocks from behind the player, trees and other things.
- Now most items require crafting surfaces

New Content:
- Make higher tier blocks drop item materials that are not blocks
- Added many new item decorations
- New tile icons and fixed some tile graphics
- New Mattocks with upgrading and new graphics
- Show swing animation holding item icon when placing down an item or block
- WIP versions of monster attack sfx
- WIP versions of player footstep, jump and land sfx

Bug Fixes:
- Tons of multiplayer bugs (generally dealing with latency)
- Resolved performance issues when traveling around the world
- Character sometimes falls through the ground
- Cannot open research window with "R"
- Exhausting a category after researching an item leaves the "Research" button enabled
- Items that are not materials (used in recipes) are given the "M" icon on the tooltip after being placed in research window
- Positioning of some helmets is off
- Origin of furnace light source is off

Other:
- Lessen the amount of ambient occlusion in darkness
- Disable back button during world generation
- Changed stack size of ingots from 999 to 99
- Changed system chat text color

version 0.5.3
Polish:
- Multiplayer is now functional
- Reworked Researching to be done by category and requires research desk
- Game is automatically saved when closing window
- Increase frequency of caves, holes and ores in world
- Add gems to world generation
- Add Ambient Occlusion for tile layers


Bug Fixes:
- Tons of multiplayer bugs
- Plus versions of bows and swords cannot be upgraded
- Dropping item from research inventory to toolbar destroys the item
- Tooltip shows up when hovering over unknown materials in craft UI
- Mushroom trees and treasure chests can be floating or in the ground if a treeasure room or mushroom forest is placed on top of it
- Going back on main menu sometimes doesn't work
- Fix water loading and saving

Other:
- Temporarily removed osmium items


version 0.5.2
Polish:
- Additional system messages for traveling
- Show tooltip when hovering over item icons in craft window

Bug Fixes:
- Linux launch issues caused by bad libawesomium links
- Sometimes UI is not populated correctly
- Pressing escape does not always close all windows before showing options
- Resizing screen to a smaller resolution doesn't work well with chat and toolbar
- Travel UI still has two scrollbars on it sometimes
- Resolutions in settings dialog are ordered oddly
- Biome boundaries are sometimes off causing the background to be wrong
- Character hand is default color when holding an item
- Running down a slope causes the player to fall for a moment making it difficult to jump
- The character sometimes falls through the ground on slopes
- If a character begins colliding with a table from the side they no longer collide with the ground and fall into it
- Able to walk through doors
- Item collision (such as doors) is ignored when going up slopes
- Cannot craft items when using materials from a nearby chest

Other:
- Added a tiny resolution of 1024x600 for laptop players


version 0.5.1
Bug Fixes:
- Missing libraries on Linux required to start Crea
- Linux UI windows with checkboxes do not load properly
- On some windows machines the game does not launch because of dll issues
- Resizing to an unknown resolution size causes problems with settings being loaded
- Title screen does not resize with window properly
- Long character and world names are cut off in their select screens
- Closing settings window and reopening options dialog opens settings instead of options
- Travel UI is not wide enough for some crystal names and shows weird scrollbar on side
- Cave entrances can remove dirt from under trees
- Players can put a treasure chest in the bag slot
- Changing bag slot to a different item uses the wrong icon until reloading
- Player can gain HP by equipping/unequipping an equipment with HP change stat attribute
- Splitting stackable equipment until the slot is empty causes the held item to disappear
- When placing vinebow on toolbar and hovering over it the game crashes after awhile
- Collect destroys spawners
- Disabling a spawner while it is spawning does not stop it from spawning a monster
- Sometimes spawners will continue to spawn monsters even after cap has been met
- Still take fall damage when landing in water
- The player can become permanently invincible under special circumstances
- Name of studded helm plus is wrong
- Make the window panel be a basic tile so it can be displaced with mattocks

Other:
- Disabled window resizing
- Leveling fully heals the player HP
- Made players not take damage from other means besides combat when invincible
- Only allow spawners to level up if they have full HP
- Changed some flavor text
- Make way crystal animate slower
- Increase experience gain from crafting chest equipment
- Increase drop rate for most monster loot
- Increase amount of torches crafted from a single transaction from 2 to 4


version 0.5.0
 - Features/Polish
  - Add: Fall damage
  - Add: Bombs, Accessories and more items
  - Add: Hitstun (temporary invincibility after being hit)
  - Add: More sound effects
  - Add: Basic music system along with some tracks
  - Add: Icons on toolbar for opening core system windows
  - Add: Tooltips everywhere!
  - Add: Descriptions and Flavor text for items
  - Add: Made settings persist across play
  - Enhancement: Created a more interesting title menu
  - Enhancement: More system messages
  - Enhancement: Made it possible to clear the toolbar with right click
  - Enhancement: Postpone localization of messages until on client
  - Enhancement: Show chat by default (togglable by 'H')
  - Enhancement: More information on tooltips
  - Enhancement: Caves do not go above underground threshold now
  - Enhancement: Spawner distribution on surface
  - Enhancement: Added new animations for spawners
  - Enhancement: Spawners level up with player now
  - Enhancement: Tweaked boar attack
  - Enhancement: Adjusted talents
  - Enhancement: Adjusted talent point gain

 - Bug Fixes
  - Fix: Small issue with handling breath capacity changes on toolbar
  - Fix: Back button on World Creation does not work
  - Fix: Tooltip attempting to display for invalid items
  - Fix: Skill descriptions are not being displayed shown in tooltip
  - Fix: Items are lost when saved in craft dialog (and likely research)
  - Fix: Chat window is hidden with escape key
  - Fix: Awesomium graphics buffer garbage is back when opening character customization view AND when opening treasure chests
  - Fix: Don't try to change the icon for not shown gear slots
  - Fix: UI stat bars sometimes start full until being changed
  - Fix: Splitting an equipped item does not update quantity in UI
  - Fix: Chat does not properly autoscroll
  - Fix: Craft message to display correct amount of crafted item
  - Fix: Unique items are not treated as unique in crafting if it is not craftable
  - Fix: Unable to upgrade equipment correctly
  - Fix: Settings do not work properly
  - Fix: Character still has hair even when you select no customization
  - Fix: Sloping collision oddness
  - Fix: World generation no longer creates small biomes
  - Fix: Projectiles do not collide with things properly
  - Fix: Spawners spawn lots of monsters
  - Fix: Disabling a spawner while it is spawning does not stop it from spawning a monster
  - Fix: Quaridin never deaggros
  - Fix: Monsters sometimes get stuck next to walls
  - Fix: Cactus dropping wood
  - Fix: Not possible to destroy stalagmites and stalactites
  - Fix: Skills are not properly deactivated when leveling up
  - Fix: Sometimes unable to quick travel
  - Fix: Unable to open chest

 - Other
  - Players start with Heal level 1 now
  - Decreased natural HP regen
  - Disabled reporter dialog for now
  - Removed currency from toolbar for now


version 0.4.3
 - Features/Polish
  - Add: Water
  - Add: Characters now have a concept of breath that decreases while underwater
  - Add: Way Crystals and travel system
  - Enhancement: Tooltips and tooltip item feature icons
  - Enhancement: World generation uses underground threshold now to determine underground area
  - Enhancement: Equipment names are now colored based on quality
  - Enhancement: Monster death particles are more interesting now
  - Enhancement: Logging from python now uses the python file name and line number

 - Bug Fixes
  - Fix: Grabbing an item with right click and adding it back into the inventory does not correctly update the craft material count
  - Fix: Lighting near light sources can be wrong


version 0.4.2
 - Features/Polish
  - Add: HSV color select for character creation
  - Add: Movement sloping
  - Add: Physics particles for mining blocks and harvesting trees
  - Add: Player now holds swords and bows
  - Add: Tile placement preview
  - Add: Equipment upgrade system
  - Add: Bag and inventory item flash when obtaining an item
  - Add: Several new materails
  - Enhancement: Reworked physics system
  - Enhancement: Made Researching consume all materials that are provided
  - Enhancement: Underground biome and contents
  - Enhancement: Swords now have their own animation
  - Enhancement: Reworked equipment system and remade all equipment
  - Enhancement: Reworked spawner system so now spawners are permanent and are temporarily disabled when HP reaches 0.
  - Enhancement: Cleaned up Craft, Talent and Equipment UI
  - Enhancement: Tweaked combat power for all attacks
  - Enhancement: Reworked monster drops
  - Enhancement: Began rework of tooltip

 - Bug Fixes
  - Fix: item names being localized on mac ("OilName" should be "Oil")
  - Fix: No way to "right click" for backwall mining on OS X Trackpad
  - Fix: the default positioning of UI windows (still needs work)
  - Fix: Sentients (Monsters/NPCs) are ignorant of physical objects such as doors.
  - Fix: Sentients do not handle with slopes correctly.
  - Fix: Sprite Rendering has a 1 off issue
  - Fix: When python encounters an error during an event it enters an infinite loop and spams the logs
  - Fix: Biome looping around the world causes the background to not load when starting in it
  - Fix: Equipment quality is not saved
  - Fix: Character is jittering on multiplayer


version 0.4.1
 - Features/Polish
  - Added icons for Window and Mac OSX
  - All new sounds for tiles and tree harvesting
  - Cleaned up the talent dialog some and added skill tooltips (rough)
  - Decrease ore quantity needed to craft ingots.
  - Made it possible to split item stacks with right click.

 - Bug Fixes
  - Disabled battleaxe until we get current weapons solid
  - Fix: UI Cursor not positioned correctly after window resize
  - Fix: Option dialog buttons do not work
  - Fix: Foliage creates a weird effect when you destroy it
  - Fix: Trees are spawning too close together again
  - Fix: Trees sometimes spawn partially off the edge of a block
  - Fix: Monsters can pass through doors one way
  - Fix: Swapping an item with another item continuously does not clear item feature icons
  - Fix: Swapping an item with the place of another item does not correctly update available amount in craft
  - Fix: Creating a world with a space on either end of the name causes it to fail
  - Fix: Player continues to move when input focus lost
  - Fix: All newly added items should have translations


version 0.4.0
 - Features/Polish
   - Added Multiplayer support
   - Linux Port
   - Greatly optimized world saving/loading
   - Added Researching (Currently accessible through 'r')
   - Made some plants able to grow and harvestable
   - Made main menu UI decent
   - Made equipment UI decent
   - Added spatial sounds
   - Added item feature icons to tooltip
   - Made background transitioning smooth
   - Made player unable to move while swinging a sword

 - Bug Fixes
  - Fix entity duplication when a regions is unloaded and reloaded in a single session
  - Fix mouse passing through UI windows
  - Fix update the sprite when checking for pixel collision
  - Fix ignore client sprite flips on client
  - Fix crafted items are lost when inventory is full
  - Fix character experience was not being properly saved
  - Fix character experience would overflow once at level cap
  - Fix world bounds
  - Fix player spawn area occasionally set in the ground


version 0.3.2 (Alpha-v4.2)
 - Fixed boar animations again
 - Fixed gear loading
 - Fixed surface biomes dipping beneath ground level
 - Fixed monsters quickly pivoting on player
 - Fixed regression with mining under trees
 - Fixed arrow in hand after using bow
 - Fixed player getting stuck in ceiling when jumping
 - Made Oil Slime naturally passive


version 0.3.1 (Alpha-v4.1)
 - Fixed boar frames
 - Fixed bug reporter UI
 - Removed chat dialog test text
 - Added combat damage messages
 - Fixed some player visible text
 - Fixed an issue with projectiles not being assigned their power correctly


version 0.3.0 (Alpha-v4.0)
 - Added bows and arrows
 - Added daggers
 - Added several new monsters
 - Added two new biomes
 - Reworked world generation a decent amount
 - Added Chat dialog ('r' key) and enter to input text
 - Fixed cooldowns
 - Replaced existing tools with new Mattocks and Collect skill
   - Mattocks breaks ground with left click and wall with right click
   - Collect skill breaks placed items with 3 hits
 - Semi-functional multiplayer
 - Much more but not worth my time documenting at this point...


version 0.2.1
 - NOTE: You should create a new world with this patch

 - Fixed potions so you can use more than one per play
 - Fixed health regeneration
 - Fixed issue where monsters would continue to spawn from dead spawners
 - Made worlds start at 7AM (previously was midnight)


version 0.2.0
 - Added initial version of monsters and combat
 - Added treasure chests to world generation
 - Added item cooldowns
 - Added many items
 - Fixed several issues
 - Created several issues...
 - So much more...


version 0.1.6
 - Added initial version of tooltips
 - Toolbar is in the middle of being reworked


version 0.1.5
 - Notes
  - May or may not requre new characters and worlds

 - Inventory and Craft windows have been cleaned up and styled
 - Added secondary toolbar which is accessible by holding shift.
  - You can use the secondary toolbar just like the primary one.
 - Changed how to set the toolbar items. Now you have to grab and drop onto the toolbar

- Fixed some various bugs...


version 0.1.4
 - Notes
  - Requires new character and world

 - Fixed following issues:
  - Menu history does not work completely
  - Once a world is finished being generated the player should be moved back to the previous menu
  - Able to create a world and character without naming them
  - All chests need to be fully implemented
  - Lighting does not react to window resizing
  - Axe tier should matter when chopping trees
  - Trees appear to be in clumps of 16 all stacked on each other...
  - Autotiling on the world seam is broken


version 0.1.3
 - Fixed following issues:
  - Unable to chop trees down
  - Was able to remove support from under trees
  - Unable to set toolbar items
  - Windows would block light
  - Exit main menu button did not work
  - World would always be created with deserts


version 0.1.2
 - Completely rewrote UI to use Awesomium and Python
 - Rewrote large part of world generation to optimize it
 - Fixed many bugs. The list can be seen at https://www.pivotaltracker.com/story/show/37794845
 - Made it possible to use materials from treasure chests while crafting
 - Added quick equip/unequip controls with ctrl + left click
 - Many other things I am forgetting about


version 0.1.1
 - Several bug fixes (wont go into details)
 - Made character save files store content path


version 0.1.0
 - initial alpha release